Offer
Update offer
AuthorizationBearer <token>
In: header
Path Parameters
offer_idstring
The offer id identifier
Format
uuidamountinteger
Default
20amount_typestring
Default
"percentage"applicable_tostring
Default
"all_courses"code_generation_typestring
Default
"manual"currencyarray<string>
descriptionstring
Default
"Get 20% off on all courses this summer"end_datestring
Default
"2024-08-31T23:59:59Z"manual_codestring
Default
"SUMMER2024"max_amount_limitinteger
Default
100max_usage_per_customerinteger
Default
1min_purchase_requirementstring
Default
"none"payment_providerstring
Default
"stripe"start_datestring
Default
"2024-06-01T00:00:00Z"statusstring
Default
"active"titlestring
Default
"Summer Sale 2024"Response Body
curl -X PATCH "https://edushade.com/api/v1/billing/offer/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "Content-Type: application/json" \
-d '{
"amount": 20,
"amount_type": "percentage",
"applicable_to": "all_courses",
"code_generation_type": "manual",
"currency": [
"string"
],
"description": "Get 20% off on all courses this summer",
"end_date": "2024-08-31T23:59:59Z",
"manual_code": "SUMMER2024",
"max_amount_limit": 100,
"max_usage_per_customer": 1,
"min_purchase_requirement": "none",
"payment_provider": "stripe",
"start_date": "2024-06-01T00:00:00Z",
"status": "active",
"title": "Summer Sale 2024"
}'{}Empty
Empty
Empty